Get one page's PageSpeed result
curl --request GET \
--url https://api.snowseo.com/v3/page-speed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snowseo.com/v3/page-speed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snowseo.com/v3/page-speed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/page-speed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/page-speed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snowseo.com/v3/page-speed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/page-speed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>",
"mobile": {
"url": "<string>",
"scores": {
"performance": 123,
"accessibility": 123,
"bestPractices": 123,
"seo": 123
},
"fetchedAt": "<string>",
"coreWebVitals": {},
"agenticBrowsing": {},
"failedAudits": [
{}
],
"informativeAudits": [
{}
],
"passedAudits": [
{}
],
"notApplicableAudits": [
{}
],
"manualAudits": [
{}
]
},
"desktop": {
"url": "<string>",
"scores": {
"performance": 123,
"accessibility": 123,
"bestPractices": 123,
"seo": 123
},
"fetchedAt": "<string>",
"coreWebVitals": {},
"agenticBrowsing": {},
"failedAudits": [
{}
],
"informativeAudits": [
{}
],
"passedAudits": [
{}
],
"notApplicableAudits": [
{}
],
"manualAudits": [
{}
]
},
"fetchedAt": "<string>",
"mobileError": "<string>",
"desktopError": "<string>"
}PageSpeed
Get PageSpeed Result
Stored PageSpeed audit result for a single URL, including Core Web Vitals and Lighthouse checks.
GET
/
v3
/
page-speed
Get one page's PageSpeed result
curl --request GET \
--url https://api.snowseo.com/v3/page-speed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snowseo.com/v3/page-speed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snowseo.com/v3/page-speed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/page-speed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/page-speed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snowseo.com/v3/page-speed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/page-speed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>",
"mobile": {
"url": "<string>",
"scores": {
"performance": 123,
"accessibility": 123,
"bestPractices": 123,
"seo": 123
},
"fetchedAt": "<string>",
"coreWebVitals": {},
"agenticBrowsing": {},
"failedAudits": [
{}
],
"informativeAudits": [
{}
],
"passedAudits": [
{}
],
"notApplicableAudits": [
{}
],
"manualAudits": [
{}
]
},
"desktop": {
"url": "<string>",
"scores": {
"performance": 123,
"accessibility": 123,
"bestPractices": 123,
"seo": 123
},
"fetchedAt": "<string>",
"coreWebVitals": {},
"agenticBrowsing": {},
"failedAudits": [
{}
],
"informativeAudits": [
{}
],
"passedAudits": [
{}
],
"notApplicableAudits": [
{}
],
"manualAudits": [
{}
]
},
"fetchedAt": "<string>",
"mobileError": "<string>",
"desktopError": "<string>"
}Fetch the stored Google PageSpeed Insights result for a single URL, including mobile and desktop scores, Core Web Vitals (lab and CrUX data where available), diagnostics, and passed/failed checks.
Authorizations
bearerAuthapiKey
Your SnowSEO API key (sk_...).
Query Parameters
SnowSEO team ID, as returned by list_teams.
Full URL of the page, e.g. https://example.com/pricing.
Optional SEO audit ID. Results are team-scoped and identical without it.
Was this page helpful?

